Loading...
Searching...
No Matches
geom.in.h File Reference

Go to the source code of this file.

## Data Structures

struct | _PedGeometry
| Geometry of the partition. More...

## Typedefs

typedef struct _PedGeometry | PedGeometry

## Functions

PedSector | ped_geometry_check (PedGeometry *geom, void *buffer, PedSector buffer_size, PedSector offset, PedSector granularity, PedSector count, PedTimer *timer)
| Checks for physical disk errors.
void | ped_geometry_destroy (PedGeometry *geom)
| Destroy a PedGeometry object.
PedGeometry * | ped_geometry_duplicate (const PedGeometry *geom)
| Duplicate a PedGeometry object.
int | ped_geometry_init (PedGeometry *geom, const PedDevice *dev, PedSector start, PedSector length)
| Initialize the previously allocated PedGeometry `geom`.
PedGeometry * | ped_geometry_intersect (const PedGeometry *a, const PedGeometry *b)
| Return a PedGeometry object that refers to the intersection of `a` and `b`.
PedSector | ped_geometry_map (const PedGeometry *dst, const PedGeometry *src, PedSector sector)
| This function takes a `sector` inside the region described by src, and returns that sector's address inside dst.
PedGeometry * | ped_geometry_new (const PedDevice *dev, PedSector start, PedSector length)
| Create a new PedGeometry object on `disk`, starting at `start` with a size of `length` sectors.
int | ped_geometry_read (const PedGeometry *geom, void *buffer, PedSector offset, PedSector count)
| Reads data from the region represented by `geom`.
int | ped_geometry_read_alloc (const PedGeometry *geom, void **buffer, PedSector offset, PedSector count)
int | ped_geometry_set (PedGeometry *geom, PedSector start, PedSector length)
| Assign a new `start`, `end` (implicitly) and `length` to `geom`.
int | ped_geometry_set_end (PedGeometry *geom, PedSector end)
| Assign a new end to `geom` without changing `geom->start`.
int | ped_geometry_set_start (PedGeometry *geom, PedSector start)
| Assign a new start to `geom` without changing `geom->end`.
int | ped_geometry_sync (PedGeometry *geom)
| Flushes the cache on `geom`.
int | ped_geometry_sync_fast (PedGeometry *geom)
| Flushes the cache on `geom`.
int | ped_geometry_test_equal (const PedGeometry *a, const PedGeometry *b)
| Tests if a and `b` refer to the same physical region.
int | ped_geometry_test_inside (const PedGeometry *a, const PedGeometry *b)
| Tests if `b` lies completely within `a`.
int | ped_geometry_test_overlap (const PedGeometry *a, const PedGeometry *b)
| Test if `a` overlaps with `b`.
int | ped_geometry_test_sector_inside (const PedGeometry *geom, PedSector sector)
| Tests if `sector` is inside `geom`.
int | ped_geometry_write (PedGeometry *geom, const void *buffer, PedSector offset, PedSector count)
| Writes data into the region represented by `geom`.